package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.CareerPlansBo;
import org.dromara.ygpassport.domain.vo.CareerPlansVo;

import java.util.Collection;
import java.util.List;

/**
 * 生涯规划相关信息Service接口
 *
 * @author Lion Li
 * @date 2024-03-11
 */
public interface ICareerPlansService {

    /**
     * 查询生涯规划相关信息
     */
    CareerPlansVo queryById(Long id);

    /**
     * 查询生涯规划相关信息列表
     */
    TableDataInfo<CareerPlansVo> queryPageList(CareerPlansBo bo, PageQuery pageQuery);

    /**
     * 查询生涯规划相关信息列表
     */
    List<CareerPlansVo> queryList(CareerPlansBo bo);

    /**
     * 新增生涯规划相关信息
     */
    Boolean insertByBo(CareerPlansBo bo);

    /**
     * 修改生涯规划相关信息
     */
    Boolean updateByBo(CareerPlansBo bo);

    /**
     * 校验并批量删除生涯规划相关信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<CareerPlansVo> queryListByStuNo(String stuNo);
}
